Retrieve all Pipelines
This endpoint enables retrieving all Pipelines using pagination and optional filters.
The token can be generated using the Authentication API.
The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.
0Example: 0The maximum number of elements to return. Use this parameter together with the offset for pagination.
100Example: 100The field to order the results by. If not provided, the results will be ordered by the default field.
-createdDatePossible values: Returned all requested Pipelines successfully.
Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.
ID of the list of Pipeline resources.
930b1f07-e846-54fa-b447-9b78905ff2efThe type of the resource.
The URL of the list of Pipeline resources.
/pipelinesThe offset specified in the request (if none was specified, the default offset is 0).
0The limit specified in the request (if none was specified, use the endpoint's default pagination limit).
42Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /pipelines HTTP/1.1
Host: monitoring.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "930b1f07-e846-54fa-b447-9b78905ff2ef",
"type": "collection",
"href": "/pipelines",
"items": [
{
"id": "f72521ba-1590-5998-bf96-6eb997a5887d",
"type": "pipeline",
"href": "/pipelines/f72521ba-1590-5998-bf96-6eb997a5887d",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"state": "AVAILABLE",
"statusMessage": null,
"grafanaEndpoint": "https://grafana.logging.de-txl.ionos.com",
"httpEndpoint": "https://f8ss7fgr7s-metrics.jf9ejf8t6hrt.monitoring.de-txl.ionos.com",
"key": "momSrlgAAEmaYEvBsMr^HsYn"
},
"properties": {
"name": "Pipeline1"
}
}
],
"offset": 0,
"limit": 42,
"_links": {
"prev": "http://PREVIOUS-PAGE-URI",
"self": "http://THIS-PAGE-URI",
"next": "http://NEXT-PAGE-URI"
}
}Last updated
Was this helpful?